import { CommunicatorBase } from "./CommunicatorBase";
import { IProtocol, ISender } from "./IProtocol";
import { Invoke } from "./Invoke";
export declare class Communicator<Listener extends object = {}> extends CommunicatorBase implements IProtocol {
    /**
     * @hidden
     */
    private sender_;
    constructor(sender: ISender, listener?: Listener);
    sendData(invoke: Invoke): void;
}
