import "websocket-polyfill";
import { CommunicatorBase } from "../CommunicatorBase";
import { Invoke } from "../Invoke";
export declare class WebConnector<Listener extends object = {}> extends CommunicatorBase<Listener> {
    /**
     * @hidden
     */
    private socket_;
    constructor(listener?: Listener);
    connect(url: string, protocols?: string | string[]): Promise<void>;
    close(code?: number, reason?: string): void;
    sendData(invoke: Invoke): void;
}
