"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SharedWorkerAcceptor_1 = require("./SharedWorkerAcceptor");
var SharedWorkerServer = /** @class */ (function () {
    function SharedWorkerServer() {
    }
    SharedWorkerServer.prototype.open = function (callback) {
        addEventListener("open", function (evt) {
            var port = evt.ports[evt.ports.length - 1];
            var acceptor = new SharedWorkerAcceptor_1.SharedWorkerAcceptor(port);
            callback(acceptor);
        });
    };
    SharedWorkerServer.prototype.close = function () {
        close();
    };
    return SharedWorkerServer;
}());
exports.SharedWorkerServer = SharedWorkerServer;
//# sourceMappingURL=SharedWorkerServer.js.map