import * as ws from "websocket";
import { WebServer } from "./WebServer";
import { CommunicatorBase } from "../CommunicatorBase";
import { Invoke } from "../Invoke";
export declare class WebAcceptor extends CommunicatorBase {
    /**
     * @hidden
     */
    private server_;
    /**
     * @hidden
     */
    private request_;
    /**
     * @hidden
     */
    private connection_;
    constructor(server: WebServer, request: ws.request);
    accept(protocol?: string, allowOrigin?: string, cookies?: ws.ICookie[]): void;
    listen<Listener extends object = {}>(listener: Listener): void;
    getServer(): WebServer;
    getPath(): string;
    sendData(invoke: Invoke): void;
    private _Handle_message;
    private _Handle_close;
    private _Handle_error;
}
