"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var cp = require("child_process");
var CommunicatorBase_1 = require("../CommunicatorBase");
var ProcessConnector = /** @class */ (function (_super) {
    __extends(ProcessConnector, _super);
    function ProcessConnector(listener) {
        if (listener === void 0) { listener = null; }
        return _super.call(this, listener) || this;
    }
    ProcessConnector.prototype.connect = function (jsFile, args) {
        var _this = this;
        if (args === void 0) { args = []; }
        this.child_ = cp.fork(jsFile, args);
        this.child_.on("message", function (msg) {
            _this.replyData(JSON.parse(msg));
        });
    };
    ProcessConnector.prototype.close = function () {
        this.child_.kill();
    };
    ProcessConnector.prototype.sendData = function (invoke) {
        this.child_.send(JSON.stringify(invoke));
    };
    return ProcessConnector;
}(CommunicatorBase_1.CommunicatorBase));
exports.ProcessConnector = ProcessConnector;
//# sourceMappingURL=ProcessConnector.js.map