"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var CommunicatorBase_1 = require("../CommunicatorBase");
var ProcessServer = /** @class */ (function (_super) {
    __extends(ProcessServer, _super);
    function ProcessServer(listener) {
        if (listener === void 0) { listener = null; }
        var _this = _super.call(this, listener) || this;
        process.on("message", function (msg) {
            _this.replyData(JSON.parse(msg));
        });
        return _this;
    }
    ProcessServer.prototype.sendData = function (invoke) {
        process.send(JSON.stringify(invoke));
    };
    return ProcessServer;
}(CommunicatorBase_1.CommunicatorBase));
exports.ProcessServer = ProcessServer;
//# sourceMappingURL=ProcessServer.js.map