"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var CommunicatorBase_1 = require("../CommunicatorBase");
var SharedWorkerAcceptor = /** @class */ (function (_super) {
    __extends(SharedWorkerAcceptor, _super);
    function SharedWorkerAcceptor(port) {
        var _this = _super.call(this) || this;
        _this.port_ = port;
        return _this;
    }
    SharedWorkerAcceptor.prototype.close = function () {
        return this.port_.close();
    };
    SharedWorkerAcceptor.prototype.listen = function (listener) {
        var _this = this;
        this.listener_ = listener;
        this.port_.onmessage = function (evt) {
            _this.replyData(JSON.parse(evt.data));
        };
        this.port_.start();
    };
    SharedWorkerAcceptor.prototype.sendData = function (invoke) {
        this.port_.postMessage(JSON.stringify(invoke));
    };
    return SharedWorkerAcceptor;
}(CommunicatorBase_1.CommunicatorBase));
exports.SharedWorkerAcceptor = SharedWorkerAcceptor;
//# sourceMappingURL=SharedWorkerAcceptor.js.map