"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var CommunicatorBase_1 = require("../CommunicatorBase");
var SharedWorkerConnector = /** @class */ (function (_super) {
    __extends(SharedWorkerConnector, _super);
    function SharedWorkerConnector(listener) {
        if (listener === void 0) { listener = null; }
        return _super.call(this, listener) || this;
    }
    SharedWorkerConnector.prototype.connect = function (jsFile, name) {
        var _this = this;
        var worker = new SharedWorker(jsFile, name);
        this.port_ = worker.port;
        this.port_.onmessage = function (evt) {
            _this.replyData(JSON.parse(evt.data));
        };
        this.port_.start();
    };
    SharedWorkerConnector.prototype.close = function () {
        this.port_.close();
    };
    SharedWorkerConnector.prototype.sendData = function (invoke) {
        this.port_.postMessage(JSON.stringify(invoke));
    };
    return SharedWorkerConnector;
}(CommunicatorBase_1.CommunicatorBase));
exports.SharedWorkerConnector = SharedWorkerConnector;
//# sourceMappingURL=SharedWorkerConnector.js.map