"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var CommunicatorBase_1 = require("../CommunicatorBase");
var WorkerConnector = /** @class */ (function (_super) {
    __extends(WorkerConnector, _super);
    function WorkerConnector(listener) {
        if (listener === void 0) { listener = null; }
        return _super.call(this, listener) || this;
    }
    WorkerConnector.prototype.connect = function (jsFile) {
        var _this = this;
        this.worker_ = new Worker(jsFile);
        this.worker_.onmessage = function (evt) {
            _this.replyData(JSON.parse(evt.data));
        };
    };
    WorkerConnector.prototype.close = function () {
        this.worker_.terminate();
    };
    WorkerConnector.prototype.sendData = function (invoke) {
        this.worker_.postMessage(JSON.stringify(invoke));
    };
    return WorkerConnector;
}(CommunicatorBase_1.CommunicatorBase));
exports.WorkerConnector = WorkerConnector;
//# sourceMappingURL=WorkerConnector.js.map